--- title: "get-datafence-infra-history" slug: "get-datafence-infra-history" updated: 2026-09-17T09:48:02Z published: 2026-09-17T09:48:02Z canonical: "api.ncloud-docs.com/get-datafence-infra-history" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # get-datafence-infra-history Available in VPC Get the datafence infrastructure history. ## Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | GET | /api/v1/fence/get-datafence-infra-history | ### Request headers For information about the headers common to all Datafence APIs, see [Datafence request headers](/docs/en/datafence-overview#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request query parameters You can use the following query parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `fenceId` | Integer | Required | Datafence number - See [get-datafence](/docs/en/get-datafence). | | `page` | Integer | Optional | Page number - 0-100 (default: 0) | | `size` | Integer | Optional | Number of items per page - 1-100 (default: 10) | ### Request example The request example is as follows: ``` curl --location --request GET 'https://datafence.apigw.ntruss.com/api/v1/fence/get-datafence-infra-history?fenceId=26&page=1&size=10' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' ``` ## Response This section describes the response format. ### Response body The response body includes the following data: | Field | Type | Required | Description | | --- | --- | --- | --- | | `totalCount` | Integer | - | Number of response results | | `content` | Array | - | Datafence history: [content](/docs/en/get-datafence-infra-history#content) | #### `content` The following describes `content`. | Field | Type | Required | Description | | --- | --- | --- | --- | | `infraType` | String | - | Infrastructure type - `Server`: management server - `NAS`: datafence NAS | | `instanceNo` | Integer | - | Infrastructure instance number | | `instanceName` | String | - | Infrastructure instance name | | `createDate` | String | - | Datafence creation date and time - ISO 8601 format (including UTC+9) | | `endDate` | String | - | Datafence termination date and time - ISO 8601 format (including UTC+9) - It is displayed if `statusName` is `Termination completed`. | | `statusCode` | String | - | Datafence status code - `INITIALIZE` \| `USE` \| `ING` \| `RETURN` \| `TERMINATE` - `INITIALIZE`: creating infrastructure - `USE`: in use - `ING`: changing - `RETURN`: terminating - `TERMINATE`: termination completed | | `statusName` | String | - | Datafence status name - `Creating infrastructure` \| `In use` \| `Changing` \| `Terminating` \| `Termination completed` | ### Response status codes For information about the HTTP status codes common to all Datafence APIs, see [Datafence API response status codes](/docs/en/datafence-overview#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The response example is as follows: ``` { "totalCount": 5, "content": [ { "infraType": "Server", "instanceNo": "-", "instanceName": "fence-XX-Y", "createDate": "2025-01-09T13:51:10+09:00", "endDate": "2025-03-25T15:40:40+09:00", "statusCode": "TERMINATE", "statusName": "Termination completed" }, { "infraType": "Server", "instanceNo": "-", "instanceName": "fence-XX-Y", "createDate": "2025-02-28T14:18:29+09:00", "endDate": "2025-03-24T16:03:10+09:00", "statusCode": "TERMINATE", "statusName": "Termination completed" } ] } ```